import request from '@/utils/request'

// 获取销售列表
export function getSaleList(query) {
  return request({
    url: '/sale/saleClueInfoController/selectSaleClueInfoList',
    method: 'get',
    params: query
  })
}

// 销售线索上传
export function importSaleExcelOrCsv(query) {
  return request({
    url: '/sale/saleClueInfoController/importSaleExcelOrCsv',
    method: 'post',
    data: query
  })
}


// 分配销售列表
export function getSaleAllocationList(query) {
  return request({
    url: '/sale/saleClueInfoController/selectSaleClueInfoBySellers',
    method: 'get',
    params: query
  })
}

// 销售分配
export function saleClueDistribution(query) {
  return request({
    url: '/sale/saleClueInfoController/saleClueDistribution',
    method: 'post',
    data: query
  })
}
